## NMVPNConnection

NMVPNConnection

## Synopsis

                        NMVPNConnection;
    GObject*            nm_vpn_connection_new               (DBusGConnection *dbus_connection,
                                                             const char *path);
    NMVPNConnectionState nm_vpn_connection_get_vpn_state    (NMVPNConnection *vpn);
    const char*         nm_vpn_connection_get_banner        (NMVPNConnection *vpn);

## Description

## Details

### NMVPNConnection

    typedef struct {
    	NMActiveConnection parent;
    } NMVPNConnection;

### nm_vpn_connection_new ()

    GObject*            nm_vpn_connection_new               (DBusGConnection *dbus_connection,
                                                             const char *path);

`dbus_connection` : |
`path` : |
Returns : |

### nm_vpn_connection_get_vpn_state ()

    NMVPNConnectionState nm_vpn_connection_get_vpn_state    (NMVPNConnection *vpn);

`vpn` : |
Returns : |

### nm_vpn_connection_get_banner ()

    const char*         nm_vpn_connection_get_banner        (NMVPNConnection *vpn);

`vpn` : |
Returns : |